Debian Bug report logs - #702005
libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely

version graph

Package: python2.7; Maintainer for python2.7 is Matthias Klose <doko@debian.org>; Source for python2.7 is src:python2.7.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Fri, 1 Mar 2013 16:03:01 UTC

Severity: serious

Found in versions python2.7/2.7.3-6, python2.7/2.7.3-7

Fixed in versions python2.7/2.7.3-16, python2.7/2.7.3-8

Done: Matthias Klose <doko@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package libpython2.7. (Fri, 01 Mar 2013 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Mar 2013 16:03:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Fri, 1 Mar 2013 17:00:35 +0100
Package: libpython2.7
Version: 2.7.3-7
Severity: grave
Justification: renders package unusable

When upgrading:

Preconfiguring packages ...
(Reading database ... 505540 files and directories currently installed.)
Preparing to replace libpython2.7 2.7.3-6 (using .../libpython2.7_2.7.3-7_amd64.deb) ...
Unpacking replacement libpython2.7 ...
Preparing to replace python2.7 2.7.3-6 (using .../python2.7_2.7.3-7_amd64.deb) ...
Unpacking replacement python2.7 ...
dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7-minimal 2.7.3-6
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to replace python2.7-minimal 2.7.3-6 (using .../python2.7-minimal_2.7.3-7_amd64.deb) ...
Unpacking replacement python2.7-minimal ...
Preparing to replace python-numpy 1:1.6.2-1.1 (using .../python-numpy_1%3a1.6.2-1.2_amd64.deb) ...
Unpacking replacement python-numpy ...
[...]
Errors were encountered while processing:
 /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
dpkg: dependency problems prevent configuration of libpython2.7:
 libpython2.7 depends on python2.7 (= 2.7.3-7); however:
  Version of python2.7 on system is 2.7.3-6.

dpkg: error processing libpython2.7 (--configure):
 dependency problems - leaving unconfigured
Setting up python2.7-minimal (2.7.3-7) ...
Installing new version of config file /etc/apt/apt.conf.d/50unattended-upgrades ...
Setting up python-numpy (1:1.6.2-1.2) ...
Processing triggers for python-support ...
Errors were encountered while processing:
 libpython2.7



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package libpython2.7. (Fri, 01 Mar 2013 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Mar 2013 16:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 702005@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 702005@bugs.debian.org
Subject: Re: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Fri, 1 Mar 2013 17:05:16 +0100
Probably a missing "Breaks".

Doing the upgrade again solves the problem, but with various
intermediate errors about "/usr/lib/python2.7/hashlib.py".

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package libpython2.7. (Fri, 01 Mar 2013 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Mar 2013 16:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 702005@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Fri, 01 Mar 2013 17:43:49 +0100
Control: severity -1 serious
Control: reassign -1 python2.7 2.7.3-7

On 2013-03-01 17:05 +0100, Vincent Lefevre wrote:

> Probably a missing "Breaks".

No, a missing "Replaces" in python2.7:

,----
| Unpacking replacement python2.7 ...
| dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb (--unpack):
|  trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7-minimal 2.7.3-6
`----

The changelog does not mention this, so I have no idea whether moving
the file from python2.7-minimal to python2.7 was intentional or not.

Cheers,
       Sven



Severity set to 'serious' from 'grave' Request was from Sven Joachim <svenjoac@gmx.de> to 702005-submit@bugs.debian.org. (Fri, 01 Mar 2013 16:45:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libpython2.7' to 'python2.7'. Request was from Sven Joachim <svenjoac@gmx.de> to 702005-submit@bugs.debian.org. (Fri, 01 Mar 2013 16:45:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions python2.7/2.7.3-7. Request was from Sven Joachim <svenjoac@gmx.de> to 702005-submit@bugs.debian.org. (Fri, 01 Mar 2013 16:45:04 GMT) Full text and rfc822 format available.

Marked as found in versions python2.7/2.7.3-7. Request was from Sven Joachim <svenjoac@gmx.de> to 702005-submit@bugs.debian.org. (Fri, 01 Mar 2013 16:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Fri, 01 Mar 2013 16:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Mar 2013 16:57:17 GMT) Full text and rfc822 format available.

Message #28 received at 702005@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 702005@bugs.debian.org
Cc: Vincent Lefevre <vincent@vinc17.net>
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Fri, 01 Mar 2013 17:56:33 +0100
On 2013-03-01 17:43 +0100, Sven Joachim wrote:

> Control: severity -1 serious
> Control: reassign -1 python2.7 2.7.3-7
>
> On 2013-03-01 17:05 +0100, Vincent Lefevre wrote:
>
>> Probably a missing "Breaks".
>
> No, a missing "Replaces" in python2.7:
>
> ,----
> | Unpacking replacement python2.7 ...
> | dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb (--unpack):
> |  trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7-minimal 2.7.3-6
> `----
>
> The changelog does not mention this, so I have no idea whether moving
> the file from python2.7-minimal to python2.7 was intentional or not.

Apparently this file should not have been in -minimal in the first
place, and on i386 (and other architectures, it seems) it has been in
python2.7 even in version 2.7.3-6.  But on amd64, it has been in
python2.7-minimal which I find quite inexplicable.

Cheers,
       Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Fri, 01 Mar 2013 17:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Mar 2013 17:39:07 GMT) Full text and rfc822 format available.

Message #33 received at 702005@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Sven Joachim <svenjoac@gmx.de>, 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Fri, 1 Mar 2013 18:35:57 +0100
On 2013-03-01 17:56:33 +0100, Sven Joachim wrote:
> Apparently this file should not have been in -minimal in the first
> place, and on i386 (and other architectures, it seems) it has been in
> python2.7 even in version 2.7.3-6.  But on amd64, it has been in
> python2.7-minimal which I find quite inexplicable.

Was the amd64 version built under the same conditions?

BTW, I haven't received any of your two mail messages, neither
directly from you (as my address was in the To/Cc field), nor
via the 702005.bugs.debian.org list (as I'm subscribed to this
bug). There isn't any trace of connection for these two messages
in the logs of my mail server. I've just received the "Processed:"
mail via the 702005.bugs.debian.org list. I'm replying by using
"bts show --mbox 702005".

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Fri, 01 Mar 2013 19:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Mar 2013 19:45:10 GMT) Full text and rfc822 format available.

Message #38 received at 702005@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Fri, 01 Mar 2013 20:43:07 +0100
On 2013-03-01 18:35 +0100, Vincent Lefevre wrote:

> On 2013-03-01 17:56:33 +0100, Sven Joachim wrote:
>> Apparently this file should not have been in -minimal in the first
>> place, and on i386 (and other architectures, it seems) it has been in
>> python2.7 even in version 2.7.3-6.  But on amd64, it has been in
>> python2.7-minimal which I find quite inexplicable.
>
> Was the amd64 version built under the same conditions?

Only the maintainer can know that, since he built that version.

> BTW, I haven't received any of your two mail messages, neither
> directly from you (as my address was in the To/Cc field), nor
> via the 702005.bugs.debian.org list (as I'm subscribed to this
> bug). There isn't any trace of connection for these two messages
> in the logs of my mail server. I've just received the "Processed:"
> mail via the 702005.bugs.debian.org list. I'm replying by using
> "bts show --mbox 702005".

I received error messages from GMX that the mails could not be
delivered, but unfortunately have deleted them already. :-(
If the problem persists, I'll forward it to the bug.

Cheers,
       Sven



Information stored :
Bug#702005; Package python2.7. (Fri, 01 Mar 2013 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Fri, 01 Mar 2013 19:51:06 GMT) Full text and rfc822 format available.

Message #43 received at 702005-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Vincent Lefevre <vincent@vinc17.net>, 702005-quiet@bugs.debian.org
Subject: [mailer-daemon@gmx.de] Mail delivery failed: returning message to sender
Date: Fri, 01 Mar 2013 20:46:56 +0100
[Message part 1 (message/rfc822, inline)]
From: mailer-daemon@gmx.de
To: svenjoac@gmx.de
Subject: Mail delivery failed: returning message to sender
Date: Fri, 01 Mar 2013 20:43:11 +0100
This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of
its recipients. This is a permanent error. The following address
failed:

"vincent@vinc17.net":
domain has no mail exchangers



--- The header of the original message is following. ---

Received: from mailout-de.gmx.net ([10.1.76.10]) by mrigmx.server.lan
 (mrigmx001) with ESMTP (Nemesis) id 0LpihM-1Ui73Y2viQ-00fUnz for
 <vincent@vinc17.net>; Fri, 01 Mar 2013 20:43:10 +0100
Received: (qmail invoked by alias); 01 Mar 2013 19:43:10 -0000
Received: from p4FC61365.dip.t-dialin.net (EHLO turtle.gmx.de) [79.198.19.101]
  by mail.gmx.net (mp010) with SMTP; 01 Mar 2013 20:43:10 +0100
X-Authenticated: #28250155
X-Provags-ID: V01U2FsdGVkX1/J2pBqhdXJZjBDyoruS73WBogIadf73yBjb+WnaQ
	dg/0ozeU7OCcGW
Received: by turtle.gmx.de (Postfix, from userid 1000)
	id 830803F4CE; Fri,  1 Mar 2013 20:43:07 +0100 (CET)
From: Sven Joachim <svenjoac@gmx.de>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
References: <20130301160035.GA13668@xvii.vinc17.org>
	<20130301160516.GD5540@xvii.vinc17.org> <87hakv3wai.fsf@turtle.gmx.de>
	<878v673vpa.fsf@turtle.gmx.de>
	<20130301173557.GA17087@xvii.vinc17.org>
Date: Fri, 01 Mar 2013 20:43:07 +0100
In-Reply-To: <20130301173557.GA17087@xvii.vinc17.org> (Vincent Lefevre's
	message of "Fri, 1 Mar 2013 18:35:57 +0100")
Message-ID: <87k3pq3nzo.fsf@turtle.gmx.de>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0






Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Sat, 02 Mar 2013 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 02 Mar 2013 09:42:03 GMT) Full text and rfc822 format available.

Message #48 received at 702005@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Sven Joachim <svenjoac@gmx.de>, 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Sat, 2 Mar 2013 10:38:03 +0100
The 2.7.3-7+b1 version didn't solve the problem (from a
2.7.3-6 -> 2.7.3-7+b1 upgrade on a different amd64 machine).

On 2013-03-01 20:43:07 +0100, Sven Joachim wrote:
> I received error messages from GMX that the mails could not be
> delivered, but unfortunately have deleted them already. :-(
> If the problem persists, I'll forward it to the bug.

I'm trying to get more information to see if something is wrong on my
side. But this "domain has no mail exchangers" error may be specific
to GMX:

  http://forum.gmx.com/forum/posts/list/10307.page

And the fact that I don't receive these messages via Debian may be:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=614845

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Sat, 02 Mar 2013 12:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 02 Mar 2013 12:39:11 GMT) Full text and rfc822 format available.

Message #53 received at 702005@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 702005@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Sat, 2 Mar 2013 13:32:45 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar  2, 2013 at 10:38:03 +0100, Vincent Lefevre wrote:

> On 2013-03-01 20:43:07 +0100, Sven Joachim wrote:
> > I received error messages from GMX that the mails could not be
> > delivered, but unfortunately have deleted them already. :-(
> > If the problem persists, I'll forward it to the bug.
> 
> I'm trying to get more information to see if something is wrong on my
> side. But this "domain has no mail exchangers" error may be specific
> to GMX:
> 
>   http://forum.gmx.com/forum/posts/list/10307.page
> 
It's not specific to gmx...

vinc17.net.             IN      MX      10 mail.vinc17.net.
mail.vinc17.net.        IN      CNAME   ioooi.vinc17.net.
ioooi.vinc17.net.       IN      A       92.243.22.117

That's illegal.  A MX record must not point to a CNAME.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Sat, 02 Mar 2013 16:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 02 Mar 2013 16:24:07 GMT) Full text and rfc822 format available.

Message #58 received at 702005@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Sat, 2 Mar 2013 16:20:43 +0000
On Fri, 01 Mar 2013 at 17:00:35 +0100, Vincent Lefevre wrote:
> dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb (--unpack):
>  trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7-minimal 2.7.3-6

The amd64 binNMU 2.7.3-7+b1, which was intended to address this bug, also
has upgrade issues when upgrading directly from 2.7.3-6:

dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7+b1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/python2.7/lib-dynload/_ssl.so', which is also in package python2.7-minimal 2.7.3-6

Repeating the aptitude installation run fixes this, but hashlib is broken
until then.

    S



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Sat, 02 Mar 2013 19:36:07 GMT) Full text and rfc822 format available.

Message #61 received at 702005@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 702005@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Sat, 2 Mar 2013 20:33:20 +0100
* Sven Joachim <svenjoac@gmx.de>, 2013-03-01, 17:56:
>Apparently this file should not have been in -minimal in the first 
>place,

Nope, _hashlib belongs to -minimal. See its README.Debian.

>and on i386 (and other architectures, it seems) it has been in 
>python2.7 even in version 2.7.3-6.

This is a bug. For example, this is what happens in wheezy/i386 if you 
have only python2.7-minimal installed:

$ python2.7 -c 'import tempfile'
ERROR:root:code for hash md5 was not found.
Traceback (most recent call last):
  File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type md5
ERROR:root:code for hash sha1 was not found.
Traceback (most recent call last):
  File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha1
ERROR:root:code for hash sha224 was not found.
Traceback (most recent call last):
  File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha224
ERROR:root:code for hash sha256 was not found.
Traceback (most recent call last):
  File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha256
ERROR:root:code for hash sha384 was not found.
Traceback (most recent call last):
  File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha384
ERROR:root:code for hash sha512 was not found.
Traceback (most recent call last):
  File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha512

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Sat, 02 Mar 2013 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 02 Mar 2013 20:00:06 GMT) Full text and rfc822 format available.

Message #66 received at 702005@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Simon McVittie <smcv@debian.org>
Cc: 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Sat, 2 Mar 2013 20:58:17 +0100
On 2013-03-02 16:20:43 +0000, Simon McVittie wrote:
> On Fri, 01 Mar 2013 at 17:00:35 +0100, Vincent Lefevre wrote:
> > dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb (--unpack):
> >  trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7-minimal 2.7.3-6
> 
> The amd64 binNMU 2.7.3-7+b1, which was intended to address this bug, also
> has upgrade issues when upgrading directly from 2.7.3-6:
> 
> dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7+b1_amd64.deb (--unpack):
>  trying to overwrite '/usr/lib/python2.7/lib-dynload/_ssl.so', which is also in package python2.7-minimal 2.7.3-6

I confirm, but this is exactly the same problem: nothing has changed
except that the files _hashlib.so and _ssl.so have been reversed from
python2.7_2.7.3-7_amd64.deb to python2.7_2.7.3-7+b1_amd64.deb; that's
why the filename has changed in the error message.

FYI, python2.7-minimal 2.7.3-6 had:

-rw-r--r-- root/root     38488 2013-01-02 15:34 ./usr/lib/python2.7/lib-dynload/_ssl.so
-rw-r--r-- root/root     20696 2013-01-02 15:34 ./usr/lib/python2.7/lib-dynload/_hashlib.so

and these are the only two files in /usr/lib/python2.7/lib-dynload.
python2.7-minimal_2.7.3-7+b1_amd64.deb no longer has any file in
this directory.

python2.7 2.7.3-7+b1 still doesn't have a "Replaces:", hence the
error.

BTW, the MX problem for my domains should now be fixed. Thanks
to Julien Cristau for the information (difficult to notice as the
problem wasn't visible with the huge majority of SMTP clients).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 04 Mar 2013 23:51:11 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Mon, 04 Mar 2013 23:51:11 GMT) Full text and rfc822 format available.

Message #71 received at 702005-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 702005-close@bugs.debian.org
Subject: Bug#702005: fixed in python2.7 2.7.3-8
Date: Mon, 04 Mar 2013 23:47:52 +0000
Source: python2.7
Source-Version: 2.7.3-8

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702005@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Mar 2013 17:38:54 +0800
Source: python2.7
Binary: python2.7 python2.7-minimal libpython2.7 python2.7-examples python2.7-dev idle-python2.7 python2.7-doc python2.7-dbg
Architecture: source all amd64
Version: 2.7.3-8
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 702005
Changes: 
 python2.7 (2.7.3-8) unstable; urgency=low
 .
   * python2.7: Replace python2.7-minimal (<< 2.7.3-7). Closes: #702005.
   * Build the _md5, _sha1, _sha256 and _sha512 extension modules.
Checksums-Sha1: 
 9ac021b51e8af66b24e8f6add3e6814163cb3170 2057 python2.7_2.7.3-8.dsc
 ba70bf6f8662da1bbf62f86fa6656654a3bd582c 536012 python2.7_2.7.3-8.diff.gz
 5a63a9c8dee4f2b6adbe3b9ed011e6af0f76ad2f 710204 python2.7-examples_2.7.3-8_all.deb
 60ef10eb8f454629de4b355572c2046ced4d61d6 300444 idle-python2.7_2.7.3-8_all.deb
 abf227ca0ffd7f90532385533e7e35530d552fe7 6269066 python2.7-doc_2.7.3-8_all.deb
 8f6103f85bda0c73ad3d0fbf3350a156ebf6f3a1 2750550 python2.7_2.7.3-8_amd64.deb
 c4ddf3fbc4d1b755218b0ebd18858587109e0d0f 1783428 python2.7-minimal_2.7.3-8_amd64.deb
 149ec3522292cd5ec46d94b8db1882c71a51f98b 1225254 libpython2.7_2.7.3-8_amd64.deb
 6f0b71f224398a187e8524fe6e1eb8920d0f4542 23176222 python2.7-dev_2.7.3-8_amd64.deb
 509676d6c9ddc7b46a059328a023d895d22f1608 16132716 python2.7-dbg_2.7.3-8_amd64.deb
Checksums-Sha256: 
 5f4ef5b0541f4ba94f9db818ecf48b39769a30194aaa91122c672accf8da274d 2057 python2.7_2.7.3-8.dsc
 b9399867c27bf856edff031dc68d2a4513c245e50974386728f583343509a492 536012 python2.7_2.7.3-8.diff.gz
 d99ff80ee0b606c61a70522dd52f0110fd2ae6b7f4c485f95113265a90a444f9 710204 python2.7-examples_2.7.3-8_all.deb
 f91ed26c5faf8fc278739c30e6120213a7c36474594cd4b0282d357a4a46a9cb 300444 idle-python2.7_2.7.3-8_all.deb
 6716836e8d5961ebbbbfdf80b61cac5099578cf10a40f447da8776756d39d0a0 6269066 python2.7-doc_2.7.3-8_all.deb
 4ef43f7832177cf656c6879346ce90f6942f7d6c0abb5a7ccfed31fd28d68bde 2750550 python2.7_2.7.3-8_amd64.deb
 1e6f528813ca10c520c99edb35375dd4b003dee553dfb49256fe69660cc57864 1783428 python2.7-minimal_2.7.3-8_amd64.deb
 8349e3e4b7c3774e821260c8720236fa30921868911e533d1bfaee583d8f0205 1225254 libpython2.7_2.7.3-8_amd64.deb
 81b322c4f984ac4e35cdc8c6d6c07a44f1592610bc9cc6f9167e83abe9ea3c33 23176222 python2.7-dev_2.7.3-8_amd64.deb
 a0a43a8b0bb5ec78757a1ed592dfcfdd82b77f59cf77dc87f1be46108b892975 16132716 python2.7-dbg_2.7.3-8_amd64.deb
Files: 
 ec46bd115f263edd6cbd881b07c4782a 2057 python optional python2.7_2.7.3-8.dsc
 4d8a9b011b9222fd5fc4ca49bbfa1cc3 536012 python optional python2.7_2.7.3-8.diff.gz
 f68c2505a2ea7b18478067602102a9c1 710204 python optional python2.7-examples_2.7.3-8_all.deb
 2292e6bb289b6035c4a3fab5d2a081bf 300444 python optional idle-python2.7_2.7.3-8_all.deb
 7eb5a685af0fd69e3728bbddf8146666 6269066 doc optional python2.7-doc_2.7.3-8_all.deb
 1c8fed771001531dafc96c5dacf55112 2750550 python optional python2.7_2.7.3-8_amd64.deb
 ad64031a644fa55fbd792a00cab818db 1783428 python optional python2.7-minimal_2.7.3-8_amd64.deb
 7341b7e1bbc8cf105597bfdfe3b55659 1225254 libs optional libpython2.7_2.7.3-8_amd64.deb
 c11b7a15cb3fd3008514af0914fcc02e 23176222 python optional python2.7-dev_2.7.3-8_amd64.deb
 af4e84fa6dc4888f7e3a0fc039986482 16132716 debug extra python2.7-dbg_2.7.3-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlE1MU8ACgkQStlRaw+TLJz6YQCgl1UGVHECCuJ7z84JizdbOFhu
yZEAoLozqDaDVtXNj2zVG75FT4hi837u
=VD5M
-----END PGP SIGNATURE-----




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 08 Mar 2013 06:21:03 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Fri, 08 Mar 2013 06:21:03 GMT) Full text and rfc822 format available.

Message #76 received at 702005-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 702005-close@bugs.debian.org
Subject: Bug#702005: fixed in python2.7 2.7.3-16
Date: Fri, 08 Mar 2013 06:17:54 +0000
Source: python2.7
Source-Version: 2.7.3-16

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702005@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Mar 2013 09:54:59 +0800
Source: python2.7
Binary: python2.7 libpython2.7-stdlib python2.7-minimal libpython2.7-minimal libpython2.7 python2.7-examples python2.7-dev libpython2.7-dev idle-python2.7 python2.7-doc python2.7-dbg libpython2.7-dbg
Architecture: source all amd64
Version: 2.7.3-16
Distribution: experimental
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 libpython2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 libpython2.7-dev - Header files and a static library for Python (v2.7)
 libpython2.7-minimal - Minimal subset of the Python language (version 2.7)
 libpython2.7-stdlib - Interactive high-level object-oriented language (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 702005
Changes: 
 python2.7 (2.7.3-16) experimental; urgency=low
 .
   * Update to 20130308, taken from the 2.7 branch.
     - Issue #10156: In the interpreter's initialization phase, unicode globals
       are now initialized dynamically as needed.
     - Issue #16975: Fix error handling bug in the escape-decode decoder.
     - Issue #9290: In IDLE the sys.std* streams now implement io.TextIOBase
       interface and support all mandatory methods and properties.
     - Issue #13454: Fix a crash when deleting an iterator created by
       itertools.tee() if all other iterators were very advanced before.
     - Issue #3754: fix typo in pthread AC_CACHE_VAL.
     - Issue #17029: Let h2py search the multiarch system include directory.
     - Issue #16445: Fixed potential segmentation fault when deleting an
       exception message.
     - Issue #17275: Corrected class name in init error messages of the
       C version of BufferedWriter and BufferedRandom.
     - Issue #7963: Fixed misleading error message that issued when object is
       called without arguments.
     - Issue #5308: Raise ValueError when marshalling too large object (a
       sequence with size >= 2**31), instead of producing illegal marshal data.
     - Issue #17043: The unicode-internal decoder no longer read past the end of
       input buffer.
     - Issue #16979: Fix error handling bugs in the unicode-escape-decode
       decoder.
     - Issue #17278: Fix a crash in heapq.heappush() and heapq.heappop() when
       the list is being resized concurrently.
     - Issue #17018: Make Process.join() retry if os.waitpid() fails with EINTR.
     - Issue #14720: sqlite3: Convert datetime microseconds correctly.
     - Issue #17225: JSON decoder now counts columns in the first line starting
       with 1, as in other lines.
     - Issue #7842: backported fix for py_compile.compile() syntax error
       handling.
     - Issue #13153: Tkinter functions now raise TclError instead of ValueError
       when a unicode argument contains non-BMP character.
     - Issue #9669: Protect re against infinite loops on zero-width matching in
       non-greedy repeat.
     - Issue #13169: The maximal repetition number in a regular expression
       has been increased from 65534 to 2147483647 (on 32-bit platform) or
       4294967294 (on 64-bit).
     - Issue #11311: StringIO.readline(0) now returns an empty string
       as all other file-like objects.
     - Issue #16800: tempfile.gettempdir() no longer left temporary files when
       the disk is full.  Original patch by Amir Szekely.
     - Issue #13555: cPickle now supports files larger than 2 GiB.
     - Issue #17052: unittest discovery should use self.testLoader.
     - Issue #4591: Uid and gid values larger than 2**31 are supported now.
     - Issue #17141: random.vonmisesvariate() no more hangs for large kappas.
     - Issue #17149: Fix random.vonmisesvariate to always return results in
       the range [0, 2*math.pi].
     - Issue #1470548: XMLGenerator now works with UTF-16 and UTF-32 encodings.
     - Issue #6975: os.path.realpath() now correctly resolves multiple nested
       symlinks on POSIX platforms.
     - Issue #17156: pygettext.py now correctly escapes non-ascii characters.
     - Issue #7358: cStringIO.StringIO now supports writing to and reading from
       a stream larger than 2 GiB on 64-bit systems.
     - IDLE was displaying spurious SystemExit tracebacks when running scripts
       that terminated by raising SystemExit (i.e. unittest and turtledemo).
     - Issue #10355: In SpooledTemporaryFile class mode and name properties and
       xreadlines method now work for unrolled files.  encoding and newlines
     - Issue #16686: Fixed a lot of bugs in audioop module.
     - Issue #17073: Fix some integer overflows in sqlite3 module.
     - Issue #6083: Fix multiple segmentation faults occured when
       PyArg_ParseTuple parses nested mutating sequence.
     - Issue #5289: Fix ctypes.util.find_library on Solaris.
     - Issue #17106: Fix a segmentation fault in io.TextIOWrapper when an
       underlying stream or a decoder produces data of an unexpected type (i.e.
       when io.TextIOWrapper initialized with text stream or use bytes-to-bytes
       codec).
     - Issue #13994: Add compatibility alias in distutils.ccompiler for
       distutils.sysconfig.customize_compiler.
     - Issue #15633: httplib.HTTPResponse is now mark closed when the server
       sends less than the advertised Content-Length.
     - Issue #15881: Fixed atexit hook in multiprocessing.
     - Issue #14340: Upgrade the embedded expat library to version 2.1.0.
     - Issue #11159: SAX parser now supports unicode file names.
     - Issue #6972: The zipfile module no longer overwrites files outside of
       its destination path when extracting malicious zip files.
     - Issue #17049: Localized calendar methods now return unicode if a locale
       includes an encoding and the result string contains month or weekday (was
       regression from Python 2.6).
     - Issue #4844: ZipFile now raises BadZipfile when opens a ZIP file with an
       incomplete "End of Central Directory" record.
     - Issue #15505: `unittest.installHandler` no longer assumes SIGINT handler
       is set to a callable object.
     - Issue #17051: Fix a memory leak in os.path.isdir() on Windows.
     - Issue #12268: The io module file object write methods no longer abort
       early when a write system calls is interrupted (EINTR).
     - Issue #17249: convert a test in test_capi to use unittest and reap
       threads.
     - We now run both test_email.py and test_email_renamed.py when running the
       test_email regression test.  test_email_renamed contains some tests that
       test_email does not.
     - Issue #17041: Fix testing when Python is configured with the
       --without-doc-strings option.
     - Issue #5033: Fix building of the sqlite3 extension module when the
       SQLite library version has "beta" in it.
     - Issue #17228: Fix building without pymalloc.
     - Issue #17086: Backport the patches from the 3.3 branch to cross-build
       the package.
     - Issue #16406: combine the pages for uploading and registering to PyPI.
     - Issue #16403: Document how distutils uses the maintainer field in
       PKG-INFO.
     - Issue #16695: Document how glob handles filenames starting with a dot.
     - Issue #8890: Stop advertising an insecure practice by replacing uses
       of the /tmp directory with better alternatives in the documentation.
     - Issue #17203: add long option names to unittest discovery docs.
   * python2.7-dbg, libpython2.7-dbg: Drop dependency on python.
   * python2.7-dbg: Make gdb (not gdb-minimal) a recommendation.
   * python2.7: Replace python2.7-minimal (<< 2.7.3-7). Closes: #702005.
   * Build the _md5, _sha1, _sha256 and _sha512 extension modules.
   * Fix multiarch include for AArch64.
Checksums-Sha1: 
 1a7c118ab0b27f6fea0171fb8380a7568bdfa09d 2288 python2.7_2.7.3-16.dsc
 4ce2af7ab0f7632848650fc114e871f99d63c843 970704 python2.7_2.7.3-16.diff.gz
 fac29fc670b25c1ee4181d5af376d228ac6eb56b 718236 python2.7-examples_2.7.3-16_all.deb
 58f8246ce8b6c5a3bcca7d8f606b51237121b6fd 309188 idle-python2.7_2.7.3-16_all.deb
 0f6abf0f3b9c823133e3ccca722d936050744eb3 6305974 python2.7-doc_2.7.3-16_all.deb
 15f2311c0cc1ec8696c6dd83bf9deea36beed18f 331802 python2.7_2.7.3-16_amd64.deb
 6d917667a708a9c5cc49890d6d272d18448b8418 2433594 libpython2.7-stdlib_2.7.3-16_amd64.deb
 6552873ba3335bac19ee21de166280b637b18a15 1226274 python2.7-minimal_2.7.3-16_amd64.deb
 15bbabbc23e7ba55edb8a519b362a1799ff065cb 534702 libpython2.7-minimal_2.7.3-16_amd64.deb
 ae2f21569e454f730486cf82278879705553e1b6 1230474 libpython2.7_2.7.3-16_amd64.deb
 19a7fc331adf7224bef042c2ac4835350d8b57b2 276540 python2.7-dev_2.7.3-16_amd64.deb
 8be15d9f27de294abe1ae8a5b3b92760f4193650 23040288 libpython2.7-dev_2.7.3-16_amd64.deb
 116ccb9aae5355260d34f1ab52d5e9d57c3aede3 8799786 python2.7-dbg_2.7.3-16_amd64.deb
 10ffd8632e6d50f569a6a85292a1320f3cbeb727 6867786 libpython2.7-dbg_2.7.3-16_amd64.deb
Checksums-Sha256: 
 6fff1b7f06c9441290e175021df4427d49743befc5474c7076fbdb72c0bbae4e 2288 python2.7_2.7.3-16.dsc
 b7a1aa63547e184b7d4b64a4a28a3cf1de1265d790e1e4c9584d2ac029cb84ee 970704 python2.7_2.7.3-16.diff.gz
 83fe88c81a7812ec745a8464e7e1d7f027c63bc63c5154a0469217d15390be94 718236 python2.7-examples_2.7.3-16_all.deb
 855d1c166409791f7beeee7223b10b6fee6b64b4a512d7d257b78c1040661da9 309188 idle-python2.7_2.7.3-16_all.deb
 46c2702f86798dc0f05d51826149e4aee4633bf8fe78e5485a3b9fb0869f117b 6305974 python2.7-doc_2.7.3-16_all.deb
 2c3f9ebc0e1c5836f1835558914c85ab22eb0c307ba29b7803be07830df0ff04 331802 python2.7_2.7.3-16_amd64.deb
 8c031e9fb74bc60a766c5221a9cc2e951b97eac71ab979a4899a499b7e60a317 2433594 libpython2.7-stdlib_2.7.3-16_amd64.deb
 72b000fe6cef0127c8ad5e740985f26fdbe42af85c21b691b133e45b161367d3 1226274 python2.7-minimal_2.7.3-16_amd64.deb
 8fd9d8f82e1c0b65966a3c9427235c062e9c2b964c0fbaf24ea50718ca03aa39 534702 libpython2.7-minimal_2.7.3-16_amd64.deb
 91ffc6f7fbcd155fe021c2c89e4c2da6a62a5812e64f0635300555049b650249 1230474 libpython2.7_2.7.3-16_amd64.deb
 baef088f8b303b4bde747560e30180cb9f04be89e03bf07383f417a9046bd45c 276540 python2.7-dev_2.7.3-16_amd64.deb
 d04205a9df45927d9f073cfa88a5cea09a491203cb21dd681b4d8d788f587f49 23040288 libpython2.7-dev_2.7.3-16_amd64.deb
 70fc5196d3886c3d1c4cd80f1f4f143af896c80f4179edaccd4f35ed0b672c49 8799786 python2.7-dbg_2.7.3-16_amd64.deb
 e9a2a5d45e7f6a233e08982c024b5274bc2174d5419a08969d26fd000896e4d8 6867786 libpython2.7-dbg_2.7.3-16_amd64.deb
Files: 
 f963932afd8f6d1df07a58ae5e756d38 2288 python optional python2.7_2.7.3-16.dsc
 458081478ebf39ea50131084892d405a 970704 python optional python2.7_2.7.3-16.diff.gz
 abc723fce696a9c8cb6c4d14743c2e4a 718236 python optional python2.7-examples_2.7.3-16_all.deb
 30226d3b08fd5db1704ea2547b9c876a 309188 python optional idle-python2.7_2.7.3-16_all.deb
 3a4ae60e72c59d29cc48441de2391078 6305974 doc optional python2.7-doc_2.7.3-16_all.deb
 9ee913b5c13e89e9f8baf2db57672d1a 331802 python standard python2.7_2.7.3-16_amd64.deb
 5a8ecde9ccebe8d18ad23367d1e84e1c 2433594 python standard libpython2.7-stdlib_2.7.3-16_amd64.deb
 7b1e665f9306b30ff7d0df94ec9d0926 1226274 python standard python2.7-minimal_2.7.3-16_amd64.deb
 c4e6eae7c48dd03eff6d4152f17571a7 534702 python standard libpython2.7-minimal_2.7.3-16_amd64.deb
 3e9d2461a0fcd3ba1035037db8e4dbd1 1230474 libs standard libpython2.7_2.7.3-16_amd64.deb
 84de1e02615140d0f7ab25e5c5755b2c 276540 python optional python2.7-dev_2.7.3-16_amd64.deb
 861c077277cb109b107433b8a18fc002 23040288 libdevel optional libpython2.7-dev_2.7.3-16_amd64.deb
 ce273444418b89bbca8b1c9b5aeb0986 8799786 debug extra python2.7-dbg_2.7.3-16_amd64.deb
 655ab466b9e4c9a83c7d2083651d80b9 6867786 debug extra libpython2.7-dbg_2.7.3-16_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlE5gdUACgkQStlRaw+TLJwSIwCfdFxECaSQtkzQDdnDDB8myxI/
DnEAoJMb+w6fyXEb8JZzWW2peKF+kpxJ
=fRlp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Apr 2013 07:25:40 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 11 Mar 2014 21:33:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#702005; Package python2.7. (Tue, 11 Mar 2014 22:12:07 GMT) Full text and rfc822 format available.

Message #83 received at 702005@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 702005@bugs.debian.org
Subject: Re: Bug#702005: libpython2.7: Upgrade to libpython2.7 2.7.3-7 fails, breaking python entirely
Date: Tue, 11 Mar 2014 23:10:15 +0100
Control: found -1 2.7.3-6

According to python2.7-minimal's README.Debian, the _ssl and _hashlib 
are supposed to be included in the -minimal package. 
python2.7-minimal_2.7.3-6_amd64.deb indeed includes them both, but on 
every other architecture they are shipped in python2.7.

Worse, if you rebuild wheezy's src:python2.7 in a clean environment, the 
modules move to python2.7, likely leading to upgrade problem similar to 
that reported a while ago:

* Vincent Lefevre <vincent@vinc17.net>, 2013-03-01, 17:00:
>Unpacking replacement python2.7 ...
>dpkg: error processing /var/cache/apt/archives/python2.7_2.7.3-7_amd64.deb (--unpack):
> trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7-minimal 2.7.3-6
>dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)


I believe the bug lies in the following part of debian/rules:

	DH_COMPAT=2 dh_movefiles -p$(p_min) --sourcedir=$(d) \
		usr/bin/python$(VER) \
		usr/share/man/man1/python$(VER).1 \
		$(foreach i,$(MIN_MODS),$(scriptdir)/$(i).py) \
		$(foreach i,$(MIN_PACKAGES),$(scriptdir)/$(i)) \
		$(foreach i,$(MIN_ENCODINGS),$(scriptdir)/$(i)) \
		$(scriptdir)/config/Makefile \
		usr/include/$(PVER)/pyconfig.h \
		$(scriptdir)/site.py \
		$(shell cd $(d); for i in $(MIN_EXTS); do \
			test -e $(scriptdir)/lib-dynload/$$i.so \
			  && echo $(scriptdir)/lib-dynload/$$i.so; \
		  done; true)

The culprit appears to be that make expands $(shell ... ) too early, 
when no *.so files exist yet.

Replacing $(shell ... ) with $$( ... ), and then adding appropriate 
Breaks+Replaces should fix this bug. (I haven't tested the proposed fix 
in  practice yet.)

It still don't understand why this bug didn't trigger for the amd64 
package. Perhaps the build log could shed some light on it.

-- 
Jakub Wilk



Marked as found in versions python2.7/2.7.3-6. Request was from Jakub Wilk <jwilk@debian.org> to 702005-submit@bugs.debian.org. (Tue, 11 Mar 2014 22:12:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:37:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.